<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php'); 
$ser_id=$_POST['ser_id'];
$registros=mysqli_query($con,"SELECT * FROM serie_factura WHERE  ser_id='$ser_id'") or die(mysqli_error($con));
$roww=mysqli_fetch_array($registros);
$ser_tipo_documento=$roww['ser_tipo_documento'];
$ser_tipo=$roww['ser_tipo'];
$ser_estado=$roww['ser_estado'];

if($ser_estado=='activo')
    {
        $registros=mysqli_query($con,"UPDATE serie_factura Set ser_estado='desactivo' Where ser_id='$ser_id'") or die(mysqli_error($con));
   
        echo '<div class="alert alert-danger alert-dismissable">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                <strong>Serie!</strong> Desactivada correctamente.
                </div>'; 
    } 
    else 
    {
        $registros=mysqli_query($con,"UPDATE serie_factura Set ser_estado='activo' Where ser_id='$ser_id'") or die(mysqli_error($con));

        IF($ser_tipo<>'pos')
        {
             $registros=mysqli_query($con,"UPDATE serie_factura Set ser_estado='desactivo' Where ser_id<>'$ser_id' and ser_tipo_documento='$ser_tipo_documento' and ser_tipo='$ser_tipo' and empresa='$empresa'") or die(mysqli_error($con));
            echo '<div class="alert alert-success alert-dismissable">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                    <strong>Serie!</strong> Activada correctamente.
                </div>';
        }
       
    }
?>